///*
// *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
// *
// *  Redistribution and use in source and binary forms, with or without
// *  modification, are permitted provided that the following conditions are met:
// *
// *  Redistributions of source code must retain the above copyright notice,
// *  this list of conditions and the following disclaimer.
// *  Redistributions in binary form must reproduce the above copyright
// *  notice, this list of conditions and the following disclaimer in the
// *  documentation and/or other materials provided with the distribution.
// *  Neither the name of the dreamlu.net developer nor the names of its
// *  contributors may be used to endorse or promote products derived from
// *  this software without specific prior written permission.
// *  Author: Chill 庄骞 (smallchill@163.com)
// */
//package org.springblade.common.mp.base;
//
//
//import java.io.Serializable;
//import java.util.Date;
//
//import org.springframework.format.annotation.DateTimeFormat;
//
//import com.baomidou.mybatisplus.annotation.IdType;
//import com.baomidou.mybatisplus.annotation.TableId;
//import com.baomidou.mybatisplus.annotation.TableLogic;
//import com.fasterxml.jackson.annotation.JsonFormat;
//import com.fasterxml.jackson.databind.annotation.JsonSerialize;
//import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
//
//import io.swagger.annotations.ApiModelProperty;
//import lombok.Data;
//
///**
// * 基础实体类
// *
// * @author Chill
// */
//@Data
//public class BaseEntity implements Serializable {
//	
//	/**
//	 * 
//	 */
//	private static final long serialVersionUID = 1L;
//
//	public final static String PATTERN_DATETIME = "yyyy-MM-dd HH:mm:ss";
//	
//	/**
//	 * 主键id
//	 */
//	@JsonSerialize(using = ToStringSerializer.class)
//	@ApiModelProperty(value = "主键id")
//	@TableId(value = "id", type = IdType.ASSIGN_ID)
//	private Long id;
//
//	/**
//	 * 创建人
//	 */
//	@JsonSerialize(using = ToStringSerializer.class)
//	@ApiModelProperty(value = "创建人")
//	private Long createUser;
//
//	/**
//	 * 创建部门
//	 */
//	@JsonSerialize(using = ToStringSerializer.class)
//	@ApiModelProperty(value = "创建部门")
//	private Long createDept;
//
//	/**
//	 * 创建时间
//	 */
//	@DateTimeFormat(pattern = PATTERN_DATETIME)
//	@JsonFormat(pattern = PATTERN_DATETIME)
//	@ApiModelProperty(value = "创建时间")
//	private Date createTime;
//
//	/**
//	 * 更新人
//	 */
//	@JsonSerialize(using = ToStringSerializer.class)
//	@ApiModelProperty(value = "更新人")
//	private Long updateUser;
//
//	/**
//	 * 更新时间
//	 */
//	@DateTimeFormat(pattern = PATTERN_DATETIME)
//	@JsonFormat(pattern = PATTERN_DATETIME)
//	@ApiModelProperty(value = "更新时间")
//	private Date updateTime;
//
//	/**
//	 * 状态[1:正常]
//	 */
//	@ApiModelProperty(value = "业务状态")
//	private Integer status;
//
//	/**
//	 * 状态[0:未删除,1:删除]
//	 */
//	@TableLogic
//	@ApiModelProperty(value = "是否已删除")
//	private Integer isDeleted;
//}
