package org.springblade.face.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 登录记录表
 * </p>
 *
 * @author zbc
 * @since 2021-07-05
 */
@Data
@Accessors(chain = true)
public class LoginRecord implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键ID")
    private Long id;

	@ApiModelProperty(value = "登录ip")
    private String loginIp;

	@ApiModelProperty(value = "登录地址")
    private String loginAddress;

	@ApiModelProperty(value = "登录时间")
    private Date loginTime;

	@ApiModelProperty(value = "登录账号")
    private String loginUser;

	@ApiModelProperty(value = "登录类型  1 账号登录 2 微信登录 3 人脸登录")
	private Integer loginType;

	@ApiModelProperty(value = "账号id")
    private Long userId;

	@ApiModelProperty(value = "创建时间")
    private Date createTime;


}
