package org.springblade.face.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.face.entity.LoginRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springblade.face.query.UserLoginRecordQuery;
import org.springblade.face.vo.LoginRecordExportVO;
import org.springblade.face.vo.LoginRecordTotalExportVO;
import org.springblade.face.vo.UserLoginRecordVO;

import java.util.List;

/**
 * <p>
 * 登录记录表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-07-05
 */
public interface LoginRecordMapper extends BaseMapper<LoginRecord> {

	IPage<UserLoginRecordVO> getLoginRecordPage(IPage<UserLoginRecordVO> page,@Param("query") UserLoginRecordQuery recordQuery);

	List<UserLoginRecordVO> getLoginRecordNum(@Param("query") UserLoginRecordQuery recordQuery);

    List<LoginRecordExportVO> getLoginRecordDetailByMonth(@Param("month") String month);

	List<LoginRecordTotalExportVO> getLoginRecordTotalByMonth(@Param("month") String month);

}
