package org.springblade.face.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.face.entity.LoginRecord;
import org.springblade.face.query.UserLoginRecordQuery;
import org.springblade.face.vo.LoginRecordExportVO;
import org.springblade.face.vo.LoginRecordTotalExportVO;
import org.springblade.face.vo.UserLoginRecordVO;

import java.util.List;

/**
 * <p>
 * 登录记录表 服务类
 * </p>
 *
 * @author zbc
 * @since 2021-07-05
 */
public interface ILoginRecordService extends IService<LoginRecord> {

	IPage<UserLoginRecordVO> getLoginRecordPage(IPage<UserLoginRecordVO> page, UserLoginRecordQuery recordQuery);

	List<UserLoginRecordVO> getLoginRecordNum(UserLoginRecordQuery recordQuery);

    List<LoginRecordExportVO> getLoginRecordDetailByMonth(String month);

	List<LoginRecordTotalExportVO> getLoginRecordTotalByMonth(String month);

}
