package org.springblade.modules.auth.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springblade.auth.enums.ThirdPartyLoginType;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "ThirdLoginAuthVO对象",description = "三方授权登录回调实体")
public class ThirdLoginAuthVO implements Serializable {

    @ApiModelProperty("回调code")
    private String code;
    @ApiModelProperty("回调auth_code")
    private String auth_code;
    @ApiModelProperty("回调state")
    private String state;
    @ApiModelProperty("回调authorization_code")
    private String authorization_code;
    @ApiModelProperty("回调oauth_token")
    private String oauth_token;
    @ApiModelProperty("回调oauth_verifier")
    private String oauth_verifier;
    @ApiModelProperty("三方类型")
    private ThirdPartyLoginType loginType;

    @ApiModelProperty(value = "回调url")
    private String redirectUri;
    @ApiModelProperty(value = "公众号二维码维码提供的ticket参数")
    private String ticket;
    @ApiModelProperty(value = "小程序获取用户信息的code")
    private String microCode;
    @ApiModelProperty(value = "手机授权登录获取的openid")
    private String openid;
}
