/**
 * 
 */
package org.springblade.modules.system.entity;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.NotEmpty;

import org.springblade.core.mp.base.TenantEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class DataPermission extends TenantEntity implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	
	@TableId(type = IdType.AUTO)
	private Integer id;
	
	/**
	 * 权限组名称
	 */
	@TableField(condition = SqlCondition.LIKE)
	@NotEmpty(message = "权限组名不能为空")
	@ApiModelProperty("权限组名称")
	private String permName;
	
	/**
	 * 分类ID
	 */
	@ApiModelProperty("分类ID")
	private Integer typeId;
	
	/**
	 * 权限组标签
	 */
	@ApiModelProperty("权限组标签(最多20个字符)")
	private String permTag;
	
	/**
	 * 权限组数据JSON
	 * {@link org.springblade.system.client.dto.DataPermDto}
	 */
	@NotEmpty(message = "权限组数据不能为空")
	@ApiModelProperty("权限组数据JSON")
	private String permJson;
	
	/**
	 * 创建时间
	 */
	private Date createTime;
	
	/**
	 * 创建人
	 */
	private Long createUserId;
	
	/**
	 * 是否超级权限组[1-是/0-否]
	 */
	private Integer superStatus;
}
