package org.springblade.modules.system.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName("blade_message")
public class MessageEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("唯一ID")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("接收人id")
    private Long userId;

    @ApiModelProperty("模块")
    private String module;

    @ApiModelProperty("类型")
    private Integer type;

    @ApiModelProperty("主题")
    private String subject;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("状态：0未读 1已读")
    private Integer status;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private String tenantId;

}
