package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * 模板数据表
 * @TableName platomix_app_group
 */
@TableName(value ="platomix_app_group")
@Data
public class PlatomixAppGroup implements Serializable {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 应用 id
     */
    @TableField(value = "app_id")
    private String appId;

    /**
     * 应用文件夹 id
     */
    @TableField(value = "app_group_id")
    private String appGroupId;

    /**
     * 应用名称
     */
    @TableField(value = "app_name")
    private String appName;

    /**
     * 应用文件夹名称
     */
    @TableField(value = "app_group_name")
    private String appGroupName;
    @TableField(value = "app_json")
    private String appJson;
    @TableField(value = "app_order")
    private Integer appOrder;
    /**
     * 创建人ID
     */
    @TableField(value = "create_id")
    private String createId;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 租户id
     */
    @TableField(value = "tenant_id")
    private String tenantId;

    /**
     * 0 启用 1 禁用
     */
    @TableField(value = "app_status")
    private Integer appStatus;
    @TableField(exist = false)
    private List<PlatomixAppGroupServer> appGroupServer;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}