package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.github.classgraph.json.Id;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件上传记录表
 * @TableName platomix_system_file
 */
@TableName(value ="platomix_system_file")
@Data
public class PlatomixSystemFile implements Serializable {
    /**
     * 主键
     */
    @Id
    private String id;

    /**
     * 文件名称
     */
    @TableField(value = "file_name")
    private String fileName;

    /**
     * 文件后缀名
     */
    @TableField(value = "file_extension")
    private String fileExtension;

    /**
     * 文件类型
     */
    @TableField(value = "file_type")
    private String fileType;

    /**
     * 文件路径
     */
    @TableField(value = "file_path")
    private String filePath;


    /**
     * 业务 id
     */
    @TableField(value = "file_org_id")
    private String fileOrgId;

    /**
     * 业务类型
     */
    @TableField(value = "file_org_type")
    private String fileOrgType;
    /**
     * 文件大小
     */
    @TableField(value = "file_size")
    private Long fileSize;
    /**
     * 文件大小
     */
    @TableField(value = "file_size_str")
    private String fileSizeStr;
    /**
     * 创建人
     */
    @TableField(value = "create_user")
    private String createUser;

    /**
     * 创建部门
     */
    @TableField(value = "create_dept")
    private String createDept;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 修改人
     */
    @TableField(value = "update_user")
    private String updateUser;

    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 租户id
     */
    @TableField(value = "tenant_id")
    private String tenantId;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}