package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.github.classgraph.json.Id;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 模板数据表
 * @TableName platomix_template
 */
@TableName(value ="platomix_template")
@Data
public class PlatomixTemplate implements Serializable {

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


    /**
     * 主键
     */
    @Id()
    private Long id;


    /**
     * 模板分ID
     */
    @TableField(value = "cate_id")
    private Long cateId;


    /**
     * 模板分类名称
     */
    @TableField(exist = false)
    private String cateName;


    /**
     * 名称
     */
    @TableField(value = "name")
    private String name;


    /**
     * 路径
     */
    @TableField(value = "path")
    private String path;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;

    /**
     * 创建人
     */
    @TableField(value = "create_user")
    private String createUser;

    /**
     * 创建人ID
     */
    @TableField(value = "create_id")
    private String createId;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 修改人
     */
    @TableField(value = "update_user")
    private String updateUser;

    /**
     * 修改人
     */
    @TableField(value = "update_id")
    private String updateId;

    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 租户id
     */
    @TableField(value = "tenant_id")
    private String tenantId;
    /**
     * 已经转存ES标记。0：未转存；1：已经转存
     */
    @TableField(value = "trans2es")
    private Integer trans2es;

}