package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("third_bind_count_record")
@ApiModel(value = "ThirdBindCountRecord对象", description = "三方登录绑定记录表")
public class ThirdBindCountRecord implements Serializable {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "微信openId")
    @TableField(value = "wechat_open_id",updateStrategy = FieldStrategy.IGNORED)
    private String wechatOpenId;

    @ApiModelProperty(value = "企业微信code")
    @TableField(value = "qy_wechat_code",updateStrategy = FieldStrategy.IGNORED)
    private String qyWechatOpenId;

    @ApiModelProperty(value = "钉钉openId")
    @TableField(value = "ding_open_id",updateStrategy = FieldStrategy.IGNORED)
    private String dingOpenid;

    @ApiModelProperty(value = "飞书openId")
    @TableField(value = "fei_shu_open_id",updateStrategy = FieldStrategy.IGNORED)
    private String feiShuOpenId;

    @ApiModelProperty(value = "小程序openId")
    @TableField(value = "micro_app_openId",updateStrategy = FieldStrategy.IGNORED)
    private String microAppOpenId;

    @ApiModelProperty(value = "小程序unionid")
    @TableField(value = "micro_app_unionid",updateStrategy = FieldStrategy.IGNORED)
    private String microAppUnionId;

    @ApiModelProperty(value = "公众号openid")
    @TableField(value = "public_account_open_id",updateStrategy = FieldStrategy.IGNORED)
    private String publicAccountOpenid;

    @ApiModelProperty(value = "小程序绑定的手机号")
    @TableField(value = "micro_app_phone",updateStrategy = FieldStrategy.IGNORED)
    private String microAppPhone;

    @ApiModelProperty(value = "绑定人员id")
    private Long userId;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;
}
