package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springblade.auth.enums.ThirdPartyLoginType;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("third_login_conf")
@ApiModel(value = "ThirdLoginConfig对象",description = "三方登录配置项")
public class ThirdLoginConfig {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("登录配置")
    private String loginConf;

    @ApiModelProperty("三方登录类型")
    private String loginType;

    @ApiModelProperty("配置是否可用(0：不可用，1: 可用)")
    private Integer status;

    @ApiModelProperty("创建人")
    private String createUser;

    @ApiModelProperty("创建人id")
    private Long createUserId;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("配置名称")
    private String name;
}
