/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.system.entity;

import java.util.Date;

import org.springblade.core.mp.base.BaseEntity;

import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 实体类
 *
 * @author Chill
 */
@Data
@TableName("blade_user")
@EqualsAndHashCode(callSuper = true)
public class User extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "租户ID")
	private String tenantId;
	
	/**
	 * 用户编号
	 */
	private String code;
	/**
	 * 用户平台
	 */
	private Integer userType;
	/**
	 * 账号
	 */
	private String account;
	/**
	 * 密码
	 */
	private String password;
	/**
	 * 昵称
	 */
	private String name;
	/**
	 * 真名
	 */
	private String realName;
	/**
	 * 头像
	 */
	private String avatar;
	/**
	 * 邮箱
	 */
	private String email;
	/**
	 * 手机
	 */
	private String phone;
	/**
	 * 生日
	 */
	private Date birthday;
	/**
	 * 性别
	 */
	private Integer sex;
	/**
	 * 角色id
	 */
	private String roleId;
	/**
	 * 部门id
	 */
	private String deptId;
	/**
	 * 岗位id
	 */
	private String postId;

	/**
	 * 人脸userID
	 */
	private String faceUserId;

	/**
	 * 人脸GroupId
	 */
	private String faceGroupId;

	/**
	 * 人脸facetoken
	 */
	private String faceToken;

	/**
	 * 人脸faceImg
	 */
	private String faceImg;

	/**
	 * 登录状态
	 */
	private Integer loginStatus;

	/**
	 * openId
	 */
	private String openId;

	/**
	 * 微信昵称
	 */
	private String nickName;

	/**
	 * 是否允许账号登录  0 是 1否
	 */
	private Integer isLogin;

	/**
	 * 是否允许微信登录  0 是 1否
	 */
	private Integer isWxLogin;

	/**
	 * 审核等级
	 */
	private Integer auditLevel;

	private String extJson;

	/**
	 * 第三方用户id
	 */
	private String thirdUserId;
}
