package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

import org.springblade.core.mp.base.TenantEntity;

@Data
@ApiModel(value = "MicroAppUserClickMenuRecord类",description = "菜单点击记录模型")
@TableName("user_click_menu_record")
@EqualsAndHashCode(callSuper = true)
public class UserClickMenuRecord extends TenantEntity{

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("菜单id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long menuId;

    private Integer clickNum;

    private Long clickUserId;

    private LocalDateTime createTime;
}
