package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.modules.system.enums.NotifyType;

import java.io.Serializable;

@Data
@TableName("visual_subscribe_notify_conf")
@ApiModel("订阅方式配置")
public class VisualSubscribeNotifyConf implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private String tenantId;

    /**
     * 配置属性
     */
    @ApiModelProperty(value = "配置属性")
    private String attriKey;
    /**
     * 值
     */
    @ApiModelProperty(value = "值")
    private String attriValue;

    /**
     * 值
     */
    @ApiModelProperty(value = "属性名称")
    private String attriName;


    @ApiModelProperty("通知方式(0：邮箱 1：企微 2：钉钉 3：飞书 4：百度人脸识别 5：系统基础信息配置 100：水印配置)")
    private NotifyType notifyType;

    @ApiModelProperty("排序")
    private Integer sort;

}
