package org.springblade.wecom.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 用户表
 * </p>
 *
 * @author 一个优秀的男人
 * @since 2024-06-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BladeUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 用户编号
     */
    private String code;

    /**
     * 用户平台
     */
    private Integer userType;

    /**
     * 账号
     */
    private String account;

    /**
     * 密码
     */
    private String password;

    /**
     * 昵称
     */
    private String name;

    /**
     * 真名
     */
    private String realName;

    /**
     * 微信昵称
     */
    private String nickName;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 手机
     */
    private String phone;

    /**
     * 生日
     */
    private LocalDateTime birthday;

    /**
     * 性别
     */
    private Integer sex;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 部门id
     */
    private String deptId;

    /**
     * 岗位id
     */
    private String postId;

    /**
     * 人脸userID
     */
    private String faceUserId;

    /**
     * 人脸分组ID
     */
    private String faceGroupId;

    /**
     * 人脸facetoken
     */
    private String faceToken;

    /**
     * 人脸图片
     */
    private String faceImg;

    /**
     * openid
     */
    private String openId;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 创建部门
     */
    private Long createDept;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private Long updateUser;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 审核等级
     */
    private Integer auditLevel;

    /**
     * 是否允许账号登录  0 是 1否
     */
    private Integer isLogin;

    /**
     * 是否允许微信登录  0 是 1否
     */
    private Integer isWxLogin;

    /**
     * 登录状态  0 正常 1预警 2警告 login_status
     */
    private Integer loginStatus;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 是否已删除
     */
    private Integer isDeleted;

    /**
     * 扩展字段
     */
    private String extJson;

    /**
     * 第三方用户id
     */
    private String thirdUserId;

    /**
     * 微信三方登录绑定openId
     */
    private String wechatOpenId;

    /**
     * 钉钉三方登录绑定openId
     */
    private String dingOpenId;

    /**
     * 企业微信三方登录绑定openId
     */
    private String qyWechatCode;

    /**
     * 飞书三方登录绑定openId
     */
    private String feiShuOpenId;

    /**
     * 用户属性(0-租户人员/1-超级管理员)
     */
    private Integer userAttr;


}
