# FileToOssMonthTask 代码概述

## 主要功能
这是一个定时任务类，主要用于同步MDM（主数据管理系统）中的组织架构数据到本地系统。具体包括部门数据和人员数据的同步。

## 定时执行
- 使用`@Scheduled(cron = "0 0 1 * * ?")` 配置，每天凌晨1:00执行同步任务

## 核心方法
1. **syncDeptAndUserFromMdm()**: 主同步方法
2. **syncDeptData()**: 同步部门数据
3. **syncUserData()**: 同步人员数据
4. **getAllTreeData()**: 分页获取所有部门树数据
5. **getAllHumanData()**: 分页获取所有人员数据

## 数据同步流程
1. 获取MDM系统的访问令牌
2. 同步部门数据
    - 保存/更新部门基本信息
    - 建立部门之间的父子关系
3. 同步人员数据
    - 更新用户基本信息
    - 更新用户与部门的关联关系

## 相关数据表
1. **blade_dept**: 部门表
    - id: 部门ID
    - dept_name: 部门名称
    - parent_id: 父部门ID
    - dept_code: 部门编码

2. **blade_user**: 用户表
    - id: 用户ID
    - account: 账号（手机号）
    - name: 姓名
    - dept_id: 所属部门ID
    - third_user_id: 第三方用户ID

3. **blade_user_dept**: 用户部门关联表
    - user_id: 用户ID
    - dept_id: 部门ID

## API接口
- MDM Token获取: `https://dec.cscec8st.com.cn:50024/demdm-api/open/api/getToken`
- 组织架构数据: `https://dec.cscec8st.com.cn:50024/demdm-api/open/api/v2/selectApi/TREE`
- 人员数据: `https://dec.cscec8st.com.cn:50024/demdm-api/open/api/v2/selectApi/HUMAN1`