/**
 * 
 */
package org.springblade.system.client;

import java.util.List;

import org.springblade.common.openfeign.OpenFeignConstants;
import org.springblade.system.client.factory.DatasourceFunctionFallbackFactory;
import org.springblade.system.client.model.DatasouceFunctionModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @author wookvn
 *
 */
@FeignClient(contextId = "dsFunctionClient", 
	value = OpenFeignConstants.SYSTEM_SERVICE, 
	fallbackFactory = DatasourceFunctionFallbackFactory.class)
public interface DatasourceFunctionClient {
	/**
	 * 根据数据源类型获取函数列表
	 * @param dsType
	 * @return
	 */
	@GetMapping(OpenFeignConstants.SYSTEM_SERVICE + "/dsFunc/list/{dsType}/{tenantId}")
	public List<DatasouceFunctionModel> list(@PathVariable Integer dsType, @PathVariable String tenantId);
}