/**
 * 
 */
package org.springblade.system.client;

import org.springblade.common.openfeign.OpenFeignConstants;
import org.springblade.system.client.factory.UserClientFallbackFactory;
import org.springblade.system.client.model.SmsModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @author wookvn
 *
 */
//@RequestMapping(OpenFeignConstants.SYSTEM_SERVICE + "/sms")
@FeignClient(contextId = "smsClient", 
	value = OpenFeignConstants.SYSTEM_SERVICE, 
	fallbackFactory = UserClientFallbackFactory.class)
public interface SmsClient {

	/**
	 * 根据ID查询
	 * @param id
	 * @return
	 */
	@GetMapping(OpenFeignConstants.SYSTEM_SERVICE + "/sms/info/{id}")
	public SmsModel getById(@PathVariable Integer id);
}
