package org.springblade.system.client;


import java.util.List;

import org.springblade.common.openfeign.OpenFeignConstants;
import org.springblade.system.client.factory.SubscribeNotifyConfFallbackFactory;
import org.springblade.system.client.model.VisualSubscribeNotifyConfModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

//@RequestMapping(OpenFeignConstants.SYSTEM_SERVICE + "/subscribeNotifyConf")
@FeignClient(contextId = "subscribeNotifyConfClient",
        value = OpenFeignConstants.SYSTEM_SERVICE,
        fallbackFactory = SubscribeNotifyConfFallbackFactory.class)
public interface SubscribeNotifyConfClient {

    @GetMapping(OpenFeignConstants.SYSTEM_SERVICE + "/subscribeNotifyConf/getNotifyConfList")
    public List<VisualSubscribeNotifyConfModel> notifyConfList(@RequestParam Integer notifyType);

    @GetMapping(OpenFeignConstants.SYSTEM_SERVICE + "/subscribeNotifyConf/newNotifyConfList")
    public List<VisualSubscribeNotifyConfModel> newNotifyConfList(@RequestParam String tenantId,@RequestParam Integer notifyType);
}
