/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.system.client.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 短信配置表实体类
 *
 * @author BladeX
 */
@Data
public class SmsModel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键ID
	 */
	private Integer id;
	/**
	 * 模板ID
	 */
	private String templateId;
	/**
	 * 模版名称
	 */
	private String templateName;
	/**
	 * 类型【参考：org.springblade.modules.system.enums.SmsCategory】
	 * 0-阿里云  1-七牛云  2-腾讯云
	 */
	private Integer categoryVal;
	/**
	 * accessKey
	 */
	private String accessKey;
	/**
	 * secretKey
	 */
	private String secretKey;
	/**
	 * 腾讯云需要SDKappID
	 */
	private String appId;
	/**
	 * regionId
	 */
	private String regionId;
	/**
	 * 短信签名
	 */
	private String signName;
	/**
	 * 模版内容
	 */
	private String templateContent;
	/**
	 * 模版参数JSON
	 */
	private String templateParams;
}
